import request from '@/utils/request'
import constant from '@/constant'

function pageList(formData){
  return request.post(constant.serverUrl + "/base/workSchedule/pageList", formData);
}

function create(){
  return request.get(constant.serverUrl + "/base/workSchedule/create");
}

function edit(id){
  return request.get(constant.serverUrl + "/base/workSchedule/edit/" + id);
}

function add(formModel){
  return request.post(constant.serverUrl + "/base/workSchedule/add", formModel,{
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function update(formModel){  
  return request.post(constant.serverUrl + "/base/workSchedule/update", formModel,{
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function updateCompany(formModel){  
  return request.post(constant.serverUrl + "/base/workSchedule/updateCompany", formModel,{
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function remove(id){
  return request.post(constant.serverUrl + "/base/workSchedule/delete/" + id);
}

function batchRemove(idList){
  return request.post(constant.serverUrl + "/base/workSchedule/batchDelete",idList,{
    headers: {
      "Content-Type": "application/json"
    }
  });
}

export default {
  pageList,create,edit,add,update,remove,batchRemove,updateCompany
}